SDL_GetVideoInfo(3)

NAME
SDL_GetVideoInfo - returns a pointer to information about the video hardware

SYNOPSIS

#include "SDL.h"

SDL_VideoInfo *SDL_GetVideoInfo(void);

DESCRIPTION

This function returns a read-only pointer to information about the video hardware. If this is called before SDL_SetVideoMode, the vfmt member of the returned structure will contain the pixel format of the "best" video mode.

SEE ALSO

SDL_SetVideoMode, SDL_VideoInfo